org.codehaus.plexus.logging.console

## Class ConsoleLogger

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogger
  - - org.codehaus.plexus.logging.console.ConsoleLogger

All Implemented Interfaces:
  Logger

    public final class ConsoleLogger
    extends AbstractLogger

Logger sending everything to the standard output streams. This is mainly for the cases when you have a utility that does not have a logger to supply.

Version:
  $Id: ConsoleLogger.java 4779 2006-11-23 04:09:31Z jvanzyl $
Author:
  Avalon Development Team

### Field Summary

### Fields inherited from interface org.codehaus.plexus.logging.Logger

`LEVEL_DEBUG, LEVEL_DISABLED, LEVEL_ERROR, LEVEL_FATAL, LEVEL_INFO, LEVEL_WARN`

### Constructor Summary

Constructors
Constructor and Description
`ConsoleLogger(int threshold, java.lang.String name)`

### Method Summary

Methods
`void` `debug(java.lang.String message, java.lang.Throwable throwable)`
`void` `error(java.lang.String message, java.lang.Throwable throwable)`
`void` `fatalError(java.lang.String message, java.lang.Throwable throwable)`
`Logger` `getChildLogger(java.lang.String name)`
`void` `info(java.lang.String message, java.lang.Throwable throwable)`
`void` `warn(java.lang.String message, java.lang.Throwable throwable)`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogger

`debug, error, fatalError, getName, getThreshold, info, isDebugEnabled, isErrorEnabled, isFatalErrorEnabled, isInfoEnabled, isValidThreshold, isWarnEnabled, setThreshold, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleLogger

    public ConsoleLogger(int threshold,
                 java.lang.String name)

### Method Detail

#### debug

    public void debug(java.lang.String message,
             java.lang.Throwable throwable)

#### info

    public void info(java.lang.String message,
            java.lang.Throwable throwable)

#### warn

    public void warn(java.lang.String message,
            java.lang.Throwable throwable)

#### error

    public void error(java.lang.String message,
             java.lang.Throwable throwable)

#### fatalError

    public void fatalError(java.lang.String message,
                  java.lang.Throwable throwable)

#### getChildLogger

    public Logger getChildLogger(java.lang.String name)